post
https://api.caas.staging.bancocdc.com.br/operation/simulation/
The FGTS simulation route simulates credit operation using the CAIXA FGTS model.
Through this route you can simulate the credit operation using the CAIXA FGTS model. Passing the code of the installments that are available on the routes to consult FGTS installments. Customer registration is not required for the process.
Attention point:
- To consume the route, it is necessary to pass the product code as a parameter.
- It is only possible to register the TAC once the relationship with the client is finalized. If the client has outstanding installments, it is not possible!
Parameters for FGTS Installments
| Type | Description |
|---|---|
| hash | Hash installments simulation |
Payment method type
| Value | Description |
|---|---|
| 1 | Payment Slip |
| 2 | Bank Check |
| 3 | Duplicates |
| 4 | Credit Card |
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-02 | Invalid hash. |
| 400 | 400-10 | Please provide the correct document. |
| 400 | 400-23 | Values outside the parametrization: 'X' |
| 400 | 400-24 | The operation could not be simulated. |
| 400 | 400-43 | Error when registering the result of the installments. |
| 400 | 400-46 | Error when registering the result of the operation. |
| 400 | 400-47 | For the iof_finance field, you must enter Y to finance fees and N when not necessary. |
| 400 | 400-61 | Error simulating: 'X' |
| 400 | 400-77 | The purchaser is disabled. |
| 401 | 401-05 | Unauthorized or token invalid. |
| 406 | 406-03 | field 'X' is mandatory and was not informed. |
| 406 | 406-04 | The purchaser was not found. |
| 429 | 429-01 | Too many requests. |
| 400 | 400-81 | Client has ongoing operations. |
| 400 | 400-83 | The customer has installments to pay, so it is not possible to send tariff_amount. |
| 400 | 400-84 | It is not possible to charge free_tariff_amount for the simulation product. |
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| request_code | string | Code of the request made. |
| return | boolean | Indicates if the request was successful (true/false). |
| return_code | string | Code indicating the status of the request. |
| message | string | Message indicating the result of the request. |
| data.code | string | Unique code identifying the simulation. |
| data.document_customer | string | Document number of the customer. |
| data.name_customer | string | Name of the customer. |
| data.requested_amount | number | Requested amount for the credit operation. |
| data.tariff_amount | number | Tariff amount for the operation. |
| data.disbursement_amount | number | Amount disbursed to the customer. |
| data.iof_amount | number | IOF (Tax on Financial Operations) amount. |
| data.iof_financed | string | Indicates if the IOF is financed (S/N). |
| data.rate_iof_people_amount | number | Rate of IOF per person. |
| data.rate_iof_base_amount | number | Base rate of IOF. |
| data.financed_amount | number | Total amount financed. |
| data.total_interest_amount_installments | number | Total interest amount for all installments. |
| data.rate_amount | number | Interest rate for the credit operation. |
| data.total_installments | number | Total number of installments for the operation. |
| data.entry_date | string | Date of entry for the operation. |
| data.first_due_date | string | Due date of the first installment. |
| data.last_due_date | string | Due date of the last installment. |
| data.monthly_CET_amount | number | Monthly Effective Cost Rate (CET) for the operation. |
| data.annual_CET_amount | number | Annual Effective Cost Rate (CET) for the operation. |
| data.installments[].code | string | Unique code identifying each installment. |
| data.installments[].amortized_amount | number | Amortized amount for the installment. |
| data.installments[].interest_amount | number | Interest amount for the installment. |
| data.installments[].debt_amount | number | Total debt amount for the installment. |
| data.installments[].installment_amount | number | Total amount due for the installment. |
| data.installments[].installment | number | Number of the installment. |
| data.installments[].due_date | string | Due date of the installment. |
| data.installments[].days_until_expiration | number | Number of days until the installment expires. |